<?php
namespace FoodExpo\Admin;
/**
 * FoodExpo Admin
 *
 * @package     FoodExpo
 * @author      WPBucket
 * @copyright   2021 WPBucket
 * @license     GPL-2.0-or-later
 *
 *
 */

if( !defined( 'WPINC' ) ) {
    die;
}


class Admin{

	function __construct() {
		$this->init();
		// Enqueue admin style and script
		add_action( 'admin_enqueue_scripts', array( $this, 'admin_scripts' ) );
		add_action( 'admin_head', array( $this, 'add_style' ) );

	}

	/**
	 * Initialize admin
	 *
	 *
	 * @since 1.0.0
	 * @access public
	 */
	public function init() {

		// Call include_files method
		$this->includeFiles(); 
	}

	/**
	 * Enqueue Scripts
	 *
	 *
	 * @since 1.0.0
	 * @access public
	 */
	public function admin_scripts( $hook_suffix ) {

		if( $hook_suffix == 'toplevel_page_foodexpo' ) {

			wp_enqueue_style( 'foodexpo-admin-style', FOODEXPO_ADMIN_URL.'assets/css/style.css', array(), FOODEXPO_VERSION, false );
			wp_enqueue_script( 'foodexpo-admin-ajax', FOODEXPO_ADMIN_URL.'assets/js/admin-ajax.js', array('jquery'), FOODEXPO_VERSION, true );
			wp_enqueue_script( 'foodexpo-admin', FOODEXPO_ADMIN_URL.'assets/js/main.js', array('jquery', 'imagesloaded'), FOODEXPO_VERSION, true );

			$args = array(
				'nonce'   => wp_create_nonce( 'foodexpo-settings-data-save' ),
				'ajaxurl' => admin_url('admin-ajax.php')
			);

			wp_localize_script( 'foodexpo-admin-ajax', 'foodexpoAdmin', $args );

		}

	}

	/**
	 * 
	 * add style for plugin admin menu icon
	 * 
	 */
	public function add_style() {
		?>
		<style type="text/css">
			#toplevel_page_foodexpo .wp-menu-image img {
			  width: 25px;
			  padding: 5px 0px !important;
			}
		</style>
		<?php
	}

	/**
	 * Include admin files
	 *
	 *
	 * @since 1.0.0
	 * @access public
	 */
	public function includeFiles() {
		
		require_once( FOODEXPO_DIR_ADMIN.'classes/Admin_Menu.php' );
		require_once( FOODEXPO_DIR_ADMIN.'classes/Admin_Template.php' );
		require_once( FOODEXPO_DIR_ADMIN.'classes/Admin_Ajax_handler.php' );
		require_once( FOODEXPO_DIR_ADMIN.'classes/admin-template-section/Elements_Section.php' );
	}


}
new Admin();