; (function ($) {
  "use strict";

  $( function () {

    
    /* -------------------------------------------------
      Remove disabled attr from save changes button 
    ------------------------------------------------- */
    $('.onoffswitch-checkbox').on( 'change', function() {

      $('.foodexpo--save-btn').removeAttr('disabled')

    } )


    /* -------------------------------------------------
      Element enable disable Button
    ------------------------------------------------- */
    var $checkbox = $('.lite-item').find('.onoffswitch-checkbox');

    $('[data-btn]').on( 'click', function() {
        
      var $this = $( this ).data('btn'); 

        if( $this == 'enable' ) {
          $checkbox.attr('checked', 'checked');      
        } else {
          $checkbox.removeAttr('checked');
        }      
    } )

    /* -------------------------------------------------
      Admin Search filter
    ------------------------------------------------- */

    $('[data-search]').on('keyup', function() {

        var searchVal = $(this).val();
        // Item filter callback
        items_filter( searchVal );

    });


    // Item filter callback function
    function items_filter( selectedVlue ) {

        var filterItems = $('[data-filter-item]');

        if ( selectedVlue != '' ) {
            filterItems.addClass('hidden');
            $('[data-filter-item][data-filter-name*="' + selectedVlue.toLowerCase() + '"]').removeClass('hidden');

        } else {
            filterItems.removeClass('hidden');
        }

    }



    /* -------------------------------------------------
      1. Admin Tab
    ------------------------------------------------- */                                    
    const tabs = document.querySelectorAll(".foodexpo--body-inner .foodexpo--tabs li");
    const sections = document.querySelectorAll(".foodexpo--body-inner .tab-content");
    
    tabs.forEach(tab => {
      tab.addEventListener("click", e => {
        e.preventDefault();
        removeActiveTab();
        addActiveTab(tab);
      });
    })
    
    const removeActiveTab = () => {
      tabs.forEach(tab => {
        tab.classList.remove("is-active");
      });
      sections.forEach(section => {
        section.classList.remove("is-active");
      });
    }

    const addActiveTab = tab => {
      tab.classList.add("is-active");
      const href = tab.querySelector("a").getAttribute("href");
      const matchingSection = document.querySelector(href);
      matchingSection.classList.add("is-active");
    }
     
    /* -------------------------------------------------
      2. Background Image
    ------------------------------------------------- */
    var $backgroundImage = $('.foodexpo--bg-image');
    $backgroundImage.each(function () {
        var $this = $(this),
            $bgImage = $this.data('bg');
        $this.css('background-image', 'url(' + $bgImage + ')');
    });

    

    });

})(jQuery);