<?php
namespace FoodExpo\Admin\Classes;
/**
 * FoodExpo Admin ajax
 *
 * @package     FoodExpo
 * @author      WPBucket
 * @copyright   2021 WPBucket
 * @license     GPL-2.0-or-later
 *
 *
 */

if( !defined( 'WPINC' ) ) {
    die;
}

if( !class_exists('Admin_Ajax_handler') ) {

    class Admin_Ajax_handler {

        private static $instance = null;

        const FoodExpo_OPTION_KEY = FoodExpo_OPTION_NAME;


        function __construct() {

            add_action( 'wp_ajax_settings_data_save_action',  [$this , 'settings_data_save'] );

        }

        public static function getInstance() {

            if( self::$instance == null ) {
                self::$instance = new self();
            }

            return self::$instance;

        }

        public function settings_data_save() {

            // Check user permission
            if( !current_user_can('manage_options') ) {
                return;
            }

            // Verifies the Ajax request
            if( !check_ajax_referer( 'foodexpo-settings-data-save', 'nonce' ) ) {
                wp_send_json_error();
            }

            $getPostedData = !empty( $_POST['data'] ) ? $_POST['data'] : '';

            $data = array();

            parse_str( $getPostedData, $data );


            $getData = !empty( $data['foodexpo_widgets'] ) && is_array( $data['foodexpo_widgets'] ) ? $data['foodexpo_widgets'] : [];            

            update_option( self::FoodExpo_OPTION_KEY,  $getData );

            wp_send_json_success();


        }

    }

    Admin_Ajax_handler::getInstance();

}