<?php
namespace FoodExpo\Admin\Classes;
/**
 * FoodExpo Admin Menu
 *
 * @package     FoodExpo
 * @author      WPBucket
 * @copyright   2021 WPBucket
 * @license     GPL-2.0-or-later
 *
 *
 */

if( !defined( 'WPINC' ) ) {
    die;
}

if( !class_exists('Admin_Menu') ) {

class Admin_Menu {

	function __construct() {

		add_action( 'admin_menu', array( $this, 'admin_page' ) );
		add_action( 'admin_init', array( $this, 'page_settings_init' ) );

	}

	public function admin_page() {

		// add top level menu page
		add_menu_page(
		 'FoodExpo',
		 'FoodExpo',
		 'manage_options',
		 'foodexpo',
		 array( $this, 'foodexpo_page_output_callback' ),
		 FOODEXPO_ADMIN_URL.'assets/img/foodexpo-admin-icon.png'
		);

	}

	public function page_settings_init() {

		register_setting(
            'foodexpo_settings_option_group', // Option group
            'foodexpo_options' // Option name
        );  
		
	}

	public static function foodexpo_page_output_callback() {

		// Call Admin Template class
		Admin_Template::getInstance();
	}

}
new Admin_Menu();

}