<?php
$iconUrl = FOODEXPO_DIR_URL.'assets/img/cart-3-svgrepo-com.svg';
?>

<div class="foex-product-wrap foex-section-grid-product foex-grid-product-style-2">
	
	<div class="foex-row">
		<?php 
		$limit = !empty( $settings['product_number'] ) ? $settings['product_number'] : "12";
		$args = array(
			'limit' => esc_html( $limit )
    	);

		// Featured
		if( $settings['product_type'] == 'featured' ) {
			$args['featured'] = true;
	    }
		
		//
	    if( $settings['product_type'] == 'categories' ) {
	        $args['category'] = $settings['category'] ?? '';
	    } 

	    //
	    if( $settings['product_type'] == 'average_rating' ) {
	        $args['average_rating'] = $settings['rating'] ?? '';
	    }
	    
	    $col = $settings['grid_column'] ?? '4';

		$query = new WC_Product_Query( $args );
        $products = $query->get_products();
        if( !empty( $products ) ):
            foreach( $products  as $product ):
            $productId = $product->get_id();
            $productLink = get_permalink( $productId );
            $sku = $product->get_sku();
		?>
		<div class="foex-col-sm-6 foex-col-md-4 foex-col-lg-<?php echo esc_attr( $col ); ?>">
			<div class="foex-product-item">
				<div class="foex-product-thumbnail">
					<?php
                    echo wp_kses_post( $product->get_image() );
                    ?>
                    <div class="foex-product-price"><?php echo wp_kses_post( $product->get_price_html() ); ?></div>
				</div>
				<div class="foex-product-info">
					<h6 class="foex-product-title">
                        <a href="<?php echo esc_url( $productLink ); ?>"><?php echo esc_html( $product->get_name() ); ?></a>
                    </h6>
                    <?php 
                    if( !empty( $product->get_short_description() ) ) {
                    	echo wpautop( wp_kses_post( $product->get_short_description() ) );
                    }
                    ?>
                    <div class="foex-product-price-wrap">
                    	<div class="foex-product-cart-btn">
                    		<?php 
                            if( $product->is_type( 'variable' ) ) {
                                echo '<a href="'.esc_url( $productLink ).'" class="">Select <img src="'.esc_url($iconUrl).'" /></a>';
                            } else {
                                echo '<a href="'.esc_attr( '?add-to-cart='.$productId ).'" class="add_to_cart_button ajax_add_to_cart" data-quantity="1" data-product_id="'.absint($productId).'" data-product_sku="'.esc_attr($sku).'">Add to cart <img src="'.esc_url($iconUrl).'" /></a>';
                            }
                            ?>
                    	</div>
                    </div>
				</div>
			</div>
		</div>
		<?php
			endforeach;
		endif;
		?>
	</div>

</div>
