<?php
$imgMore = FOODEXPO_DIR_URL.'assets/img/more.png';
$imgCart = FOODEXPO_DIR_URL.'assets/img/plus.png';

$items = $settings['carousel_items'] ?? 5;

$sliderSettings = [

    'items'         => $items,
    'margin'        => $settings['carousel_margin'] ?? 20,
    'loop'          => !empty( $settings['carousel_loop'] ) && $settings['carousel_loop'] == 'yes' ? true : false,
    'smartSpeed'    => !empty( $settings['carousel_smartSpeed'] ) ? $settings['carousel_smartSpeed'] : 450,
    'autoplay'      => !empty( $settings['carousel_autoplay'] ) && $settings['carousel_autoplay'] == 'yes' ? true : false,
    'autoplayTimeout'  => !empty( $settings['slider_autoplayTimeout'] ) ? $settings['slider_autoplayTimeout'] : 8000,
    'center'        => !empty( $settings['carousel_center'] ) && $settings['carousel_center'] == 'yes' ? true : false,
    'animateIn'     => !empty( $settings['carousel_animateIn'] ) && $settings['carousel_animateIn'] == 'yes' ? true : false,
    'animateOut'    => !empty( $settings['carousel_animateOut'] ) && $settings['carousel_animateOut'] == 'yes' ? true : false,
    'nav'           => !empty( $settings['carousel_nav'] ) && $settings['carousel_nav'] == 'yes' ? true : false,
    'dots'          => !empty( $settings['carousel_dots'] ) && $settings['carousel_dots'] == 'yes' ? true : false,
    'mousedrag'     => !empty( $settings['carousel_mouseDrag'] ) && $settings['carousel_mouseDrag'] == 'yes' ? true : false,
    'autoWidth'     => !empty( $settings['carousel_autoWidth'] ) && $settings['carousel_autoWidth'] == 'yes' ? true : false,
    'responsive'    => [ "0" => ["items" => "1"], "600" => ["items" => "2"], "1024" => ["items" => $items] ]

];
$sliderSettings = json_encode( $sliderSettings );
?>

<div class="foex-product-wrap foex-section-slider-product foex-slider-product-style-1">
	<div class="foex-product-slider owl-theme owl-carousel" data-slide-settings="<?php echo htmlentities( $sliderSettings, ENT_QUOTES | ENT_IGNORE, "UTF-8" ); ?>">
		<?php
		$limit = !empty( $settings['product_number'] ) ? $settings['product_number'] : "12";
		$args = array(
			'limit' => esc_html( $limit )
    	);

		// Featured
		if( $settings['product_type'] == 'featured' ) {
			$args['featured'] = true;
	    }
		
		//
	    if( $settings['product_type'] == 'categories' ) {
	        $args['category'] = $settings['category'] ?? '';
	    } 

	    //
	    if( $settings['product_type'] == 'average_rating' ) {
	        $args['average_rating'] = $settings['rating'] ?? '';
	    }
	    
		$query = new WC_Product_Query( $args );
	    $products = $query->get_products();
	    if( !empty( $products ) ):
	        foreach( $products  as $product ):
	        $productId = $product->get_id();
	        $productLink = get_permalink( $productId );
	        $sku = $product->get_sku();

		?>
		<div class="foex-product-item">
			<div class="foex-product-thumbnail">
				<?php
	            echo wp_kses_post( $product->get_image() );
	            ?>
			</div>
			<div class="foex-product-info">
				<h6 class="foex-product-title">
	                <a href="<?php echo esc_url( $productLink ); ?>"><?php echo esc_html( $product->get_name() ); ?></a>
	            </h6>
	            
	            <div class="foex-product-price-wrap">
	            	<div class="foex-product-cat"><?php foodexpo_get_product_cats( $productId ); ?></div>
	            	<div class="foex-product-price"><?php echo wp_kses_post( $product->get_price_html() ); ?></div>
	            </div>
	            <div class="foex-product-cart-btn">
            		<?php 
                    if( $product->is_type( 'variable' ) ) {
                        echo '<a href="'.esc_url( $productLink ).'" class=""><img src="'.esc_url( $imgMore ).'"></a>';
                    } else {
                        echo '<a href="'.esc_attr( '?add-to-cart='.$productId ).'" class="add_to_cart_button ajax_add_to_cart" data-quantity="1" data-product_id="'.absint($productId).'" data-product_sku="'.esc_attr($sku).'"><img src="'.esc_url( $imgCart ).'"></a>';
                    }
                    ?>
            	</div>
			</div>
		</div>
		<?php
			endforeach;
		endif;
		?>
	</div>
</div>