<?php
 /**
  * 
  * @package    FoodExpo
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 if( ! defined( 'ABSPATH' ) ) {
    die( FOODEXPO_ALERT_MSG );
}


/**
 * currency list
 * @return array
 */
function foodexpo_getCurrencyList() {
    return [
        ''             => esc_html__( 'None', 'foodexpo' ),
        'baht'         => '&#3647; ' . esc_html__( 'Baht', 'foodexpo' ),
        'bdt'          => '&#2547; ' . esc_html__( 'BD Taka', 'foodexpo' ),
        'dollar'       => '&#36; ' . esc_html__( 'Dollar', 'foodexpo' ),
        'euro'         => '&#128; ' . esc_html__( 'Euro', 'foodexpo' ),
        'franc'        => '&#8355; ' . esc_html__( 'Franc', 'foodexpo' ),
        'guilder'      => '&fnof; ' . esc_html__( 'Guilder', 'foodexpo' ),
        'indian_rupee' => '&#8377; ' . esc_html__( 'Rupee (Indian)', 'foodexpo' ),
        'krona'        => 'kr ' . esc_html__( 'Krona', 'foodexpo' ),
        'lira'         => '&#8356; ' . esc_html__( 'Lira', 'foodexpo' ),
        'peseta'       => '&#8359 ' . esc_html__( 'Peseta', 'foodexpo' ),
        'peso'         => '&#8369; ' . esc_html__( 'Peso', 'foodexpo' ),
        'pound'        => '&#163; ' . esc_html__( 'Pound Sterling', 'foodexpo' ),
        'real'         => 'R$ ' . esc_html__( 'Real', 'foodexpo' ),
        'ruble'        => '&#8381; ' . esc_html__( 'Ruble', 'foodexpo' ),
        'rupee'        => '&#8360; ' . esc_html__( 'Rupee', 'foodexpo' ),
        'shekel'       => '&#8362; ' . esc_html__( 'Shekel', 'foodexpo' ),
        'yen'          => '&#165; ' . esc_html__( 'Yen/Yuan', 'foodexpo' ),
        'won'          => '&#8361; ' . esc_html__( 'Won', 'foodexpo' ),
        'custom'       => esc_html__( 'Custom', 'foodexpo' ),
    ];
}

function foodexpo_ratingStar( $rating ) {

    $j = 0;
    for( $i = 0; $i <= 4; $i++ ) {
      $j++;

      if( $rating  >= $j   || $rating  == '5'   ) {
         echo '<i class="fas fa-star"></i>';
      }elseif( $rating < $j && $rating  > $i )
      {
         echo '<i class="fas fa-star-half-alt"></i>';                     

      } else {
         echo '<i class="far fa-star"></i>';
      }
    }

}

function foodexpo_getCurrencySymbol( $symbol_code ) {

    $symbolList = [
        'baht'         => '&#3647;',
        'bdt'          => '&#2547;',
        'dollar'       => '&#36;',
        'euro'         => '&#128;',
        'franc'        => '&#8355;',
        'guilder'      => '&fnof;',
        'indian_rupee' => '&#8377;',
        'krona'        => 'kr',
        'lira'         => '&#8356;',
        'peseta'       => '&#8359',
        'peso'         => '&#8369;',
        'pound'        => '&#163;',
        'real'         => 'R$',
        'ruble'        => '&#8381;',
        'rupee'        => '&#8360;',
        'shekel'       => '&#8362;',
        'yen'          => '&#165;',
        'won'          => '&#8361;',
    ];

    return !empty( $symbolList[$symbol_code] ) ? $symbolList[$symbol_code] : '';

}


function foodexpo_get_product_cats( $product_id ) {
    $terms = get_the_terms ( $product_id, 'product_cat' );
    if( !empty( $terms ) ) {
        foreach ( $terms as $term ) {
            echo '<a href="'.esc_url( get_term_link( $term->term_id ) ).'">'.esc_html( $term->name ).'</a>';
        }
    }

}